Bug 505401 - gdb crash in missing_filepair_eq
gdb crash in missing_filepair_eq
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 14:57 EDT by Nicholas Miell
Modified: 2009-06-15 22:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: 6.8.50.20090302-26.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 22:04:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Miell 2009-06-11 14:57:10 EDT
Description of problem:
Had SIGSEGV in missing_filepair_eq

Version-Release number of selected component (if applicable):
gdb-6.8.50.20090302-23.fc11.x86_64

How reproducible:
Seems to be a one-time thing so far

Stack trace:
#0  0x00000000004f5d27 in missing_filepair_eq (elem1=0x6700677562, elem2=0x7f474e8) at ../../gdb/symfile.c:2086
No locals.
#1  0x000000000065d15d in htab_find_slot_with_hash (htab=0x4a731b0, element=0x7f474e8, hash=<value optimized out>, 
    insert=<value optimized out>) at ../../libiberty/hashtab.c:634
        first_deleted_slot = 0x7f47568
        index = 1
        hash2 = <value optimized out>
        size = 251
        entry = 0x6700677562
#2  0x00000000004f8d0f in debug_print_missing (binary=0xc167e90 "/usr/lib64/libsqlite3.so.0", 
    debug=0xd7d71a0 "/usr/lib/debug/.build-id/5e/2d91f34f24ecfddb4682f06c9e868fd250bdc7.debug") at ../../gdb/symfile.c:2153
        binary_len0 = 27
        debug_len0 = 73
#3  0x00000000004f974a in find_separate_debug_file (objfile=0x2981620) at ../../gdb/symfile.c:2382
        basename = 0xd05c120 "libsqlite3.so.0.8.6.debug"
        dir = 0x5937510 "/usr/lib64/"
        debugfile = 0x0
        canon_name = <value optimized out>
        crc32 = 354680054
        i = <value optimized out>
        build_id = <value optimized out>
        build_id_filename = 0xd7d71a0 "/usr/lib/debug/.build-id/5e/2d91f34f24ecfddb4682f06c9e868fd250bdc7.debug"
        __PRETTY_FUNCTION__ = "find_separate_debug_file"
#4  0x00000000004f9bc5 in symbol_file_add_with_addrs_or_offsets (abfd=<value optimized out>, from_tty=0, addrs=0x6cecc40, 
    offsets=<value optimized out>, num_offsets=<value optimized out>, mainline=0, flags=<value optimized out>)
    at ../../gdb/symfile.c:1055
        objfile = 0x2981620
        psymtab = 0x3843460c
        debugfile = 0x0
        orig_addrs = 0x59372c0
        my_cleanups = 0x0
        name = 0x2bae930 "/usr/lib64/libsqlite3.so.0"
#5  0x00000000004f9c85 in symbol_file_add_from_bfd (abfd=0x6700677562, from_tty=133461240, addrs=0x3843460c, mainline=1664495718, 
    flags=<value optimized out>) at ../../gdb/symfile.c:1132
No locals.
#6  0x0000000000464ecd in symbol_add_stub (arg=<value optimized out>) at ../../gdb/solib.c:511
        so = 0x40c5c40
        sap = 0x6cecc40
#7  0x00000000005160eb in catch_errors (func=<value optimized out>, func_args=<value optimized out>, 
    errstring=<value optimized out>, mask=<value optimized out>) at ../../gdb/exceptions.c:516
        val = 0
        exception = {reason = 0, error = GDB_NO_ERROR, message = 0x0}
#8  0x0000000000464ad1 in solib_read_symbols (so=0x40c5c40, from_tty=0) at ../../gdb/solib.c:538
No locals.
#9  0x000000000046545a in solib_add (pattern=0x0, from_tty=0, target=<value optimized out>, readsyms=1) at ../../gdb/solib.c:778
        any_matches = 1
        loaded_any_symbols = 1
        gdb = 0x40c5c40
#10 0x000000000050cea3 in handle_inferior_event (ecs=0x7fff2bd0bfa0) at ../../gdb/infrun.c:3353
        jmp_buf_pc = <value optimized out>
        what = <value optimized out>
        stopped_by_watchpoint = <value optimized out>
        stepped_after_stopped_by_watchpoint = -1952386272
        stop_pc_sal = {symtab = 0x7ffffbad8000, section = 0xb5295f0, line = 0, pc = 189961712, end = 140733928488832, 
          explicit_pc = 735100864, explicit_line = 32767}
        stop_soon = NO_STOP_QUIETLY
        __PRETTY_FUNCTION__ = "handle_inferior_event"
#11 0x000000000050f359 in wait_for_inferior (treat_exec_as_sigtrap=0) at ../../gdb/infrun.c:1868
        old_chain = 0x7553150
        old_cleanups = 0x75a9750
        ecss = {ptid = {pid = 19724, lwp = 19724, tid = 0}, event_thread = 0x5fc7040, ws = {kind = TARGET_WAITKIND_STOPPED, value = {
              integer = 5, sig = TARGET_SIGNAL_TRAP, related_pid = {pid = 5, lwp = 0, tid = 0}, 
              execd_pathname = 0x5 <Address 0x5 out of bounds>, syscall_number = 5}}, random_signal = 0, 
          stop_func_start = 242860749600, stop_func_end = 242860749602, stop_func_name = 0xbeab8f0 "*__GI__dl_debug_state", 
          new_thread_event = 0, wait_some_more = 1}
#12 0x000000000050f98f in proceed (addr=<value optimized out>, siggnal=TARGET_SIGNAL_0, step=0) at ../../gdb/infrun.c:1479
        regcache = <value optimized out>
        gdbarch = 0x237faf0
        tp = 0x5fc7040
        pc = 0
        resume_step = RESUME_STEP_CONTINUE
#13 0x0000000000507259 in run_command_1 (args=0x0, from_tty=1, tbreak_at_main=<value optimized out>) at ../../gdb/infcmd.c:572
        exec_file = <value optimized out>
        old_chain = 0x0
        ptid = {pid = -1, lwp = 0, tid = 0}
#14 0x0000000000451969 in execute_command (p=0x2261103 "", from_tty=1) at ../../gdb/top.c:450
        arg = 0x0
        c = 0x22a65a0
        flang = <value optimized out>
        warned = 0
        line = 0x2261100 ""
#15 0x000000000051c325 in command_handler (command=0x2261100 "") at ../../gdb/event-top.c:519
        stdin_is_tty = <value optimized out>
        time_at_cmd_start = 67808690
        space_at_cmd_start = 0
#16 0x000000000051cfec in command_line_handler (rl=<value optimized out>) at ../../gdb/event-top.c:744
        linebuffer = 0x23b3300 "run"
        linelength = 80
        p = 0x23b3303 ""
        p1 = 0x23b3300 "run"
        repeat = 1
#17 0x00000038acc27e2c in rl_callback_read_char () at ../callback.c:205
        line = 0xd182b60 ""
        eof = <value optimized out>
        jcode = <value optimized out>
        olevel = {{__jmpbuf = {243418788896, -7345586561443687954, 0, 6796127, 0, 0, -7345533370343616018, 7313954038667153902}, 
            __mask_was_saved = 1, __saved_mask = {__val = {65536, 0 <repeats 15 times>}}}}
#18 0x000000000051c469 in rl_callback_read_char_wrapper (client_data=0x6700677562) at ../../gdb/event-top.c:179
No locals.
#19 0x000000000051adc8 in process_event () at ../../gdb/event-loop.c:394
        event_ptr = <value optimized out>
        proc = 0x51b580 <handle_file_event>
        data = {ptr = 0x7fff00000000, integer = 0}
#20 0x000000000051bfba in gdb_do_one_event (data=<value optimized out>) at ../../gdb/event-loop.c:459
        event_source_head = 0
        current = 3
#21 0x00000000005160eb in catch_errors (func=<value optimized out>, func_args=<value optimized out>, 
    errstring=<value optimized out>, mask=<value optimized out>) at ../../gdb/exceptions.c:516
        val = 0
        exception = {reason = 0, error = GDB_NO_ERROR, message = 0x0}
#22 0x00000000004a6d28 in tui_command_loop (data=<value optimized out>) at ../../gdb/tui/tui-interp.c:156
        result = 5
#23 0x00000000004449c9 in captured_command_loop (data=0x6700677562) at ../../gdb/main.c:183
No locals.
#24 0x00000000005160eb in catch_errors (func=<value optimized out>, func_args=<value optimized out>, 
    errstring=<value optimized out>, mask=<value optimized out>) at ../../gdb/exceptions.c:516
        val = 0
        exception = {reason = 0, error = GDB_NO_ERROR, message = 0x0}
#25 0x000000000044533e in captured_main (data=<value optimized out>) at ../../gdb/main.c:989
        context = <value optimized out>
        argc = 2
        argv = 0x7fff2bd0c708
        quiet = 0
        batch = 0
        set_args = 0
        symarg = 0x7fff2bd0d6aa "totem"
        execarg = 0x7fff2bd0d6aa "totem"
        pidarg = 0x0
        corearg = 0x0
        pid_or_core_arg = 0x0
        cdarg = 0x0
        ttyarg = 0x0
        python_script = 0
        print_help = 0
        print_version = 0
        cmdarg = 0x2260fb0
        cmdsize = <value optimized out>
        ncmd = 0
        dirarg = 0x2260fd0
        dirsize = <value optimized out>
        ndir = <value optimized out>
        system_gdbinit = 0x0
        home_gdbinit = 0x2261520 "/home/nicholas/.gdbinit"
        local_gdbinit = 0x0
        i = 0
        time_at_startup = 6998
#26 0x00000000005160eb in catch_errors (func=<value optimized out>, func_args=<value optimized out>, 
    errstring=<value optimized out>, mask=<value optimized out>) at ../../gdb/exceptions.c:516
        val = 0
        exception = {reason = 0, error = GDB_NO_ERROR, message = 0x0}
#27 0x00000000004449b4 in gdb_main (args=0x7f474f8) at ../../gdb/main.c:999
No locals.
#28 0x0000000000444989 in main (argc=<value optimized out>, argv=0x7f474f8) at ../../gdb/gdb.c:47
        args = {argc = 2, argv = 0x7fff2bd0c708, use_windows = 0, interpreter_p = 0x66c9b0 "console"}
quit
Comment 1 Jan Kratochvil 2009-06-11 18:40:02 EDT
Thanks, found there a possible obstack-free of a memory still in use.
Comment 2 Fedora Update System 2009-06-12 18:04:25 EDT
gdb-6.8.50.20090302-26.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gdb-6.8.50.20090302-26.fc11
Comment 3 Fedora Update System 2009-06-13 05:14:11 EDT
gdb-6.8-31.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gdb-6.8-31.fc10
Comment 4 Fedora Update System 2009-06-13 06:05:14 EDT
gdb-6.8-24.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gdb-6.8-24.fc9
Comment 5 Fedora Update System 2009-06-15 22:04:31 EDT
gdb-6.8-31.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-06-15 22:05:16 EDT
gdb-6.8-24.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-06-15 22:25:52 EDT
gdb-6.8.50.20090302-26.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.